From 0ce033a8b915cd72b002505dd7b7ff90c36def02 Mon Sep 17 00:00:00 2001
From: Phil Elwell <phil@raspberrypi.com>
Date: Wed, 5 Aug 2020 17:35:48 +0100
Subject: [PATCH] ARM: dts: Add required USB power domain for XCHI

The firmware setting otg_mode=1 can be used to enable the onboard XHCI
controller in host mode, but that requires that the USB power domain
is enabled.

Signed-off-by: Phil Elwell <phil@raspberrypi.com>
---
 arch/arm/boot/dts/bcm2711-rpi.dtsi | 1 +
 1 file changed, 1 insertion(+)

--- a/arch/arm/boot/dts/bcm2711-rpi.dtsi
+++ b/arch/arm/boot/dts/bcm2711-rpi.dtsi
@@ -217,6 +217,7 @@
 		status = "disabled";
 		reg = <0x0 0x7e9c0000  0x0 0x100000>;
 		interrupts = <GIC_SPI 176 IRQ_TYPE_LEVEL_HIGH>;
+		power-domains = <&power RPI_POWER_DOMAIN_USB>;
 	};
 
 	hevc-decoder@7eb00000 {
